/*
 # ########*###########################
 Autor: José Luis Rodriguez
 Mail: jrodriguez@bincodex.com
 Web: https://bincodex.com
 Fecha: 2026-07-15 17:50:46
 Archivo: dsp-nr.css
 Codificación: UTF-8
 Editado en: Kate 25.04.3
 ####################################
 */



/*=========================
        TARJETA
==========================*/
.device-card{
    width:min(700px,90%);
    background:rgba(255,255,255,.88);
    backdrop-filter:blur(18px);
    border-radius:30px;
    padding:70px 55px 45px;
    text-align:center;
    position:relative;
    box-shadow: 0 25px 60px rgba(0,0,0,.15);
}

/*=========================
        LOGO
==========================*/

.logo-circle{
    width:110px;
    height:110px;
    background:white;
    border-radius:50%;
    position:absolute;
    left:50%;
    top:-55px;
    transform:translateX(-50%);
    display:flex;
    justify-content:center;
    align-items:center;
    box-shadow: 0 10px 35px rgba(0,0,0,.12);

}

.logo-circle img{
    width:94px;
}

/*=========================
        TITULOS
==========================*/

h1{
    margin-top:20px;
    font-size:42px;
    color:#1e3768;
    font-weight:700;
}

.subtitle{
    margin-top:18px;
    color:#555;
    font-size:24px;
}

/*=========================
        INPUT
==========================*/

.input-group{
    margin-top:40px;
    height:72px;
    border-radius:20px;
    background:#fff;
    display:flex;
    align-items:center;
    overflow:hidden;
    border:2px solid transparent;
    background-image:
    linear-gradient(#fff,#fff),
    linear-gradient(90deg,#3D73FF,#29C76F);
    background-origin:border-box;
    background-clip:padding-box,border-box;
    box-shadow: 0 8px 30px rgba(0,0,0,.08);
}

.icon{
    width:75px;
    display:flex;
    justify-content:center;
    align-items:center;
    color:#4A78F0;
    font-size:28px;
}

.input-group input{
    flex:1;
    border:none;
    outline:none;
    font-size:35px;
    color:#444;
    padding-right:25px;
    text-align: center;
}

.input-group input::placeholder{
    color:#9da7b5;
}

/*=========================
        BOTON
==========================*/

.btn-register{
    margin-top:35px;
    border:none;
    border-radius:50px;
    padding:18px 50px;
    font-size:19px;
    font-weight:600;
    color:white;
    cursor:pointer;
    background: linear-gradient(90deg,#2F6EEA,#2BC675);
    box-shadow: 0 10px 25px rgba(44,111,234,.35);
    transition:.30s;
}

.btn-register:hover{
    transform:translateY(-3px);
    box-shadow: 0 16px 35px rgba(44,111,234,.45);
}

.btn-register i{
    margin-right:10px;
}

/*=========================
        RESPONSIVE
==========================*/

@media(max-width:700px){
    .device-card{
        padding:65px 25px 35px;
    }

    h1{
        font-size:30px;
    }

    .subtitle{
        font-size:18px;
    }

    .input-group{
        height:62px;
    }

    .input-group input{
        font-size:18px;
    }
}
